Bug 216174 - devel/tcltls: update to 1.7.12
Summary: devel/tcltls: update to 1.7.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
: 217869 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-01-17 11:03 UTC by Pietro Cerutti
Modified: 2017-05-20 14:01 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
Update patch (14.96 KB, patch)
2017-01-17 11:03 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2017-01-17 11:03:42 UTC
Created attachment 178988 [details]
Update patch
Comment 1 Pietro Cerutti freebsd_committer 2017-02-24 14:10:30 UTC
Sorry Mikhail, for some reason this wasn't automatically assigned to you so you might have missed this. Thanks!
Comment 2 jeff.lawson 2017-02-24 17:05:27 UTC
Would it also make sense to move the port from "devel" into the "security" directory?

There seems to be other SSL/TLS related development libraries in there already, such as "security/py-gnutls", "security/py-tlslite", "security/php71-openssl", etc.
Comment 3 Peter da Silva 2017-05-16 18:06:20 UTC
What's the status of this update?

It should probably be updated to 1.7.12 now - there's a serious async handshake bug that's fixed in 1.7.12.
Comment 4 Mikhail Teterin freebsd_committer 2017-05-16 20:01:03 UTC
Uh-oh, sorry about the delay, every one... I'll get on it soonest, I promise!
Comment 5 Pietro Cerutti freebsd_committer 2017-05-16 20:22:49 UTC
Oh, and it flew out of my radar zone, too. Mikhail, please let me know if you need any support! Thanks!
Comment 6 Mikhail Teterin freebsd_committer 2017-05-20 13:48:11 UTC
*** Bug 217869 has been marked as a duplicate of this bug. ***
Comment 7 commit-hook freebsd_committer 2017-05-20 14:00:24 UTC
A commit references this bug:

Author: mi
Date: Sat May 20 13:59:35 UTC 2017
New revision: 441314
URL: https://svnweb.freebsd.org/changeset/ports/441314

Log:
  Upgrade to 1.7.12. It bothers me, that the port can not be
  linked with the base OpenSSL, if some other implementation
  is merely installed, but that seems like a common problem...

  PR:		216174
  Submitted by:	gahr
  Sponsored by:	Unemployment Insurance

Changes:
  head/devel/tcltls/Makefile
  head/devel/tcltls/distinfo
  head/devel/tcltls/files/patch-gen_dh_params
  head/devel/tcltls/files/patch-protocols
  head/devel/tcltls/files/patch-warnings